tigase.jaxmpp.core.client.xmpp.modules.mam

## Class MessageArchiveManagementModule.SettingsCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.mam.MessageArchiveManagementModule.SettingsCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    MessageArchiveManagementModule

      public abstract static class MessageArchiveManagementModule.SettingsCallback
      extends Object
      implements AsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `onSuccess(MessageArchiveManagementModule.DefaultValue defValue, List<JID> always, List<JID> never)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### SettingsCallback

          public SettingsCallback()

  - ### Method Detail

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

    - #### onSuccess

          public abstract void onSuccess(MessageArchiveManagementModule.DefaultValue defValue,
                                         List<JID> always,
                                         List<JID> never)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.